Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/products/interfaces.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/products/interfaces.py	(revision 12313)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/products/interfaces.py	(revision 12314)
@@ -22,4 +22,5 @@
     ContextualDictSourceFactoryBase)
 from waeup.ikoba.interfaces import MessageFactory as _
+from waeup.ikoba.products.productoptions import ProductOptionEntryField
 
 class ConCatSource(ContextualDictSourceFactoryBase):
@@ -62,2 +63,10 @@
         required = True,
         )
+
+    options = schema.List(
+        title = _(u'Options/Fees'),
+        value_type = ProductOptionEntryField(),
+        required = False,
+        readonly = False,
+        default = [],
+        )
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/widgets/objectdisplaywidget.pt
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/widgets/objectdisplaywidget.pt	(revision 12314)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/widgets/objectdisplaywidget.pt	(revision 12314)
@@ -0,0 +1,20 @@
+<div class="form-inline">
+  <span tal:repeat="widget context/subwidgets">
+    <div class="form-group">
+      <span for="field.name" title="The widget's hint"
+        tal:attributes="for widget/name; title widget/hint"
+        tal:replace="widget/label"
+        i18n:translate="">
+          LABEL
+        </span>:
+      <tal:block define="error widget/error"
+        condition="error" content="structure error">
+        ERROR
+      </tal:block>
+      <div tal:replace="structure widget">
+        WIDGET
+      </div>
+    </div>
+    <br />
+  </span>
+</div>
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/widgets/objectwidget.pt
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/widgets/objectwidget.pt	(revision 12313)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/widgets/objectwidget.pt	(revision 12314)
@@ -1,5 +1,19 @@
-<span tal:repeat="widget context/subwidgets">
-  <span tal:define="error widget/error"
-    tal:replace="structure error" tal:condition="error" />
-  <span tal:replace="structure widget" />
-</span>
+<div class="form-inline">
+  <span tal:repeat="widget context/subwidgets">
+    <div class="form-group">
+      <span for="field.name" title="The widget's hint"
+        tal:attributes="for widget/name; title widget/hint"
+        tal:replace="widget/label"
+        i18n:translate="">
+          LABEL
+        </span>:
+      <tal:block define="error widget/error"
+        condition="error" content="structure error">
+        ERROR
+      </tal:block>
+      <div tal:replace="structure widget">
+        WIDGET
+      </div>
+    </div>
+  </span>
+</div>
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/widgets/objectwidget.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/widgets/objectwidget.py	(revision 12313)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/widgets/objectwidget.py	(revision 12314)
@@ -28,8 +28,10 @@
     template = ViewPageTemplateFile('objectwidget.pt')
 
+class IkobaObjectWidgetDisplayView(ObjectWidgetView):
+    template = ViewPageTemplateFile('objectdisplaywidget.pt')
+
 class IkobaObjectWidget(ObjectWidget):
 
     def __init__(self, context, request, factory, **kw):
-        #super(ResultsEntryWidget, self).__init__(context, request)
         super(ObjectWidget, self).__init__(context, request)
 
@@ -49,5 +51,5 @@
         # set up my subwidgets
         self._setUpWidgets()
-
+        
     def subwidgets(self):
         result = [self.getSubWidget(name) for name in self.names]
@@ -55,5 +57,10 @@
 
     def _setUpWidgets(self):
-        return self._setUpEditWidgets()
+        self._setUpEditWidgets()
+        # enlarge title widgets
+        for subwidget in self.subwidgets():
+            if 'title' in subwidget.name:
+                subwidget.displayWidth = '50%'
+        return 
 
     def _getView(self, request):
@@ -73,2 +80,5 @@
     def _setUpWidgets(self):
         return self._setUpDisplayWidgets()
+
+    def _getView(self, request):
+        return IkobaObjectWidgetDisplayView(self, request)