Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/export.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/export.py	(revision 12329)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/export.py	(revision 12330)
@@ -231,4 +231,6 @@
             if mangled_value:
                 return mangled_value
+        if name == 'product_options' and value is not None:
+            value = [eval(entry.to_string()) for entry in value]
         return super(
             ContractExporterBase, self).mangle_value(
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py	(revision 12329)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py	(revision 12330)
@@ -25,4 +25,5 @@
 import datetime
 import grok
+from decimal import Decimal
 from time import time
 from zope.event import notify
@@ -40,4 +41,5 @@
 from waeup.ikoba.customers.customer import Customer
 from waeup.ikoba.customers.documents import CustomerSampleDocument
+from waeup.ikoba.products.productoptions import ProductOption
 from waeup.ikoba.testing import FunctionalLayer, FunctionalTestCase
 
@@ -99,4 +101,9 @@
         self.product.title = u'Our Samle Product'
         self.product.contract_category = u'sample'
+        option = ProductOption()
+        option.title = u'Base Fee'
+        option.fee = Decimal('800.6')
+        option.currency = 'usd'
+        self.product.options = [option,]
         self.app['products'].addProduct(self.product)
         return
@@ -142,4 +149,5 @@
         contract.product_object = self.product
         contract.document_object = self.document
+        contract.product_options = self.product.options
         customer['contracts'].addContract(contract)
         self.contract = contract
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py	(revision 12329)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py	(revision 12330)
@@ -257,7 +257,7 @@
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,'
-            'product_object,state,title,user_id\r\n'
-
-            'SampleContract,sample,CON1,,[],,,,,\r\n'
+            'product_object,product_options,state,title,user_id\r\n'
+
+            'SampleContract,sample,CON1,,[],,,[],,,\r\n'
             )
         return
@@ -273,9 +273,10 @@
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,'
-            'product_object,state,title,user_id\r\n'
+            'product_object,product_options,state,title,user_id\r\n'
 
             'SampleContract,sample,CON1,DOC1,[u\'2014-12-04 12:10:46 UTC - '
             'Contract created by system\'],,'
-            'SAM,created,My Contract,A111111\r\n',
+            'SAM,"[(u\'Base Fee\', u\'800.6\', u\'usd\')]",'
+            'created,My Contract,A111111\r\n',
             result
             )
@@ -292,9 +293,10 @@
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,'
-            'product_object,state,title,user_id\r\n'
+            'product_object,product_options,state,title,user_id\r\n'
 
             'SampleContract,sample,CON1,DOC1,[u\'2014-12-04 12:10:46 UTC - '
             'Contract created by system\'],,'
-            'SAM,created,My Contract,A111111\r\n',
+            'SAM,"[(u\'Base Fee\', u\'800.6\', u\'usd\')]",'
+            'created,My Contract,A111111\r\n',
             result
             )
@@ -311,11 +313,12 @@
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,'
-            'product_object,state,title,user_id\r\n'
+            'product_object,product_options,state,title,user_id\r\n'
 
             'SampleContract,sample,CON1,DOC1,[u\'2014-12-04 12:10:46 UTC - '
             'Contract created by system\'],,'
-            'SAM,created,My Contract,A111111\r\n',
-            result
-            )
-        return
-
+            'SAM,"[(u\'Base Fee\', u\'800.6\', u\'usd\')]",'
+            'created,My Contract,A111111\r\n',
+            result
+            )
+        return
+