Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/sample_contract_data.csv
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/sample_contract_data.csv	(revision 12333)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/sample_contract_data.csv	(revision 12336)
@@ -1,8 +1,8 @@
-class_name,contract_id,reg_number,title,product_object,document_object,product_options
-SampleContract,c3,1,My first contract,SAM,DOC1,"[('Base Fee', '800.6', 'usd')]"
-SampleContract,c4,2,My second contract,SAM,DOC1,[]
-SampleContract,c5,3,My third contract,SAM,DOC1,[]
-SampleContract,,1,My 4th contract,SAM,DOC1,[]
-SampleContract,c5,2,My stolen contract,SAM,DOC1,[]
-SampleContract,c6,3,My 5th contract,SAM,NONEXISTENT,[]
-SampleContract,c7,3,My sixt contract,NONEXISTENT,DOC1,[]
+class_name,contract_id,reg_number,product_object,document_object,product_options
+SampleContract,c3,1,SAM,DOC1,"[('Base Fee', '800.6', 'usd')]"
+SampleContract,c4,2,SAM,DOC1,[]
+SampleContract,c5,3,SAM,DOC1,[]
+SampleContract,,1,SAM,DOC1,[]
+SampleContract,c5,2,SAM,DOC1,[]
+SampleContract,c6,3,SAM,NONEXISTENT,[]
+SampleContract,c7,3,NONEXISTENT,DOC1,[]
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py	(revision 12333)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py	(revision 12336)
@@ -99,5 +99,5 @@
         self.product = createObject('waeup.Product')
         self.product.product_id = u'SAM'
-        self.product.title = u'Our Samle Product'
+        self.product.title = u'Our Sample Product'
         self.product.contract_category = u'sample'
         option = ProductOption()
@@ -145,5 +145,4 @@
         # Add contract
         contract = createObject('waeup.SampleContract')
-        contract.title = u'My Contract'
         contract.contract_id = u'CON1'
         contract.product_object = self.product
@@ -490,8 +489,8 @@
         fail_file = open(fail_file).read()
         self.assertEqual(fail_file,
-            'reg_number,contract_id,title,class_name,product_object,document_object,product_options,--ERRORS--\r\n'
-            '2,c5,My stolen contract,SampleContract,SAM,DOC1,[],This object already exists. Skipping.\r\n'
-            '3,c6,My 5th contract,SampleContract,SAM,NONEXISTENT,[],document_object: Invalid value\r\n'
-            '3,c7,My sixt contract,SampleContract,NONEXISTENT,DOC1,[],product_object: Invalid value\r\n'
+            'reg_number,contract_id,class_name,product_object,document_object,product_options,--ERRORS--\r\n'
+            '2,c5,SampleContract,SAM,DOC1,[],This object already exists. Skipping.\r\n'
+            '3,c6,SampleContract,SAM,NONEXISTENT,[],document_object: Invalid value\r\n'
+            '3,c7,SampleContract,NONEXISTENT,DOC1,[],product_object: Invalid value\r\n'
             )
         contract = self.processor.getEntry(dict(reg_number='1',
@@ -514,6 +513,6 @@
         self.assertTrue(
             'INFO - system - Customer Sample Contract Processor - sample_contract_data - '
-            'X666666 - %s - updated: title=My 4th contract, '
-            'product_object=SAM, document_object=DOC1' % conid
+            'X666666 - %s - updated: product_object=SAM, document_object=DOC1, '
+            'product_options=[]' % conid
             in logcontent)
 
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 12333)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 12336)
@@ -102,5 +102,5 @@
         self.product = createObject('waeup.Product')
         self.product.product_id = u'SAM'
-        self.product.title = u'Our Samle Product'
+        self.product.title = u'Our Sample Product'
         self.product.contract_category = u'sample'
         self.app['products'].addProduct(self.product)
@@ -125,5 +125,4 @@
         self.customer['documents'].addDocument(self.document)
         self.contract = createObject('waeup.SampleContract')
-        self.contract.title = u'My first contract'
         self.contract.contract_id = u'CON1'
         self.assertRaises(
@@ -1163,5 +1162,4 @@
         self.browser.getControl("Add contract").click()
         self.browser.getControl(name="contype").value = ['SampleContract']
-        self.browser.getControl(name="form.title").value = 'My Sample Contract'
         self.browser.getControl("Add contract").click()
         self.assertTrue('Sample Contract added.' in self.browser.contents)
@@ -1173,5 +1171,4 @@
         self.browser.getLink("Manage").click()
         self.browser.getControl(name="form.product_object").value = ['SAM']
-        self.browser.getControl(name="form.title").value = 'My second contract'
         self.browser.getControl("Save").click()
         self.assertTrue('Form has been saved.' in self.browser.contents)
@@ -1206,8 +1203,4 @@
             '- K1000000 - added: Sample Contract %s'
             % contract.contract_id in logcontent)
-        self.assertTrue(
-            'INFO - zope.mgr - customers.browser.ContractManageFormPage '
-            '- K1000000 - %s - saved: title' % conid
-            in logcontent)
         self.assertTrue(
             'INFO - zope.mgr - K1000000 - %s - Submitted for approval' % conid
@@ -1238,5 +1231,4 @@
         self.browser.getControl("Add contract").click()
         self.browser.getControl(name="contype").value = ['SampleContract']
-        self.browser.getControl(name="form.title").value = 'My Sample Contract'
         self.browser.getControl("Add contract").click()
         self.assertTrue('Sample Contract added.' in self.browser.contents)
@@ -1250,5 +1242,4 @@
         IWorkflowState(self.customer).setState(APPROVED)
         self.browser.open(self.contracts_path + '/%s/edit' % conid)
-        self.browser.getControl(name="form.title").value = 'My second contract'
         # SAM is in the correct contract_category ...
         self.assertTrue('<option value="SAM">' in self.browser.contents)
@@ -1268,14 +1259,12 @@
         self.browser.getControl(name="form.product_object").value = ['SAM']
         self.browser.getControl(name="form.document_object").value = ['DOC1']
-        self.browser.getControl(name="form.title").value = 'My second contract'
         self.browser.getControl("Save").click()
         # After saving the form, last_product_id and other attributes are set
         self.assertTrue('Form has been saved.' in self.browser.contents)
         self.assertEqual(self.customer['contracts'][conid].last_product_id, 'SAM')
-        self.assertEqual(contract.title, 'My second contract')
+        self.assertEqual(contract.title, 'Our Sample Product')
         self.assertEqual(contract.product_object, self.product)
         self.assertEqual(contract.document_object, self.document)
         # Saving the form again does not unset last_product_id
-        self.browser.getControl(name="form.title").value = 'My third contract'
         self.browser.getControl("Save").click()
         self.assertEqual(self.customer['contracts'][conid].last_product_id, 'SAM')
@@ -1291,7 +1280,5 @@
         # Customer can submit the form. The form is also saved.
         self.browser.getLink("Edit").click()
-        self.browser.getControl(name="form.title").value = 'My fourth contract'
-        self.browser.getControl("Apply now").click()
-        self.assertEqual(contract.title, 'My fourth contract')
+        self.browser.getControl("Apply now").click()
         self.assertEqual(contract.state, 'submitted')
         self.assertTrue('Contract State: submitted for approval' in self.browser.contents)
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_catalog.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_catalog.py	(revision 12333)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_catalog.py	(revision 12336)
@@ -62,5 +62,5 @@
         product = createObject('waeup.Product')
         product.product_id = u'SAM'
-        product.title = u'Our Samle Product'
+        product.title = u'Our Sample Product'
         product.contract_category = u'sample'
         self.app['products'].addProduct(product)
@@ -69,5 +69,5 @@
 
         document = createObject('waeup.CustomerSampleDocument')
-        document.title = u'My Samle Document'
+        document.title = u'My Sample Document'
         IWorkflowState(document).setState(VERIFIED)
         self.customer['documents'].addDocument(document)
@@ -76,5 +76,4 @@
 
         contract = createObject('waeup.SampleContract')
-        contract.title = u'My Samle Contract'
         contract.contract_id = u'CON1'
         contract.product_object = product
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py	(revision 12333)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py	(revision 12336)
@@ -278,5 +278,5 @@
             'Contract created by system\'],,'
             'SAM,"[(u\'Base Fee\', u\'800.6\', u\'usd\')]",'
-            'created,My Contract,A111111\r\n',
+            'created,Our Sample Product,A111111\r\n',
             result
             )
@@ -298,5 +298,5 @@
             'Contract created by system\'],,'
             'SAM,"[(u\'Base Fee\', u\'800.6\', u\'usd\')]",'
-            'created,My Contract,A111111\r\n',
+            'created,Our Sample Product,A111111\r\n',
             result
             )
@@ -318,7 +318,7 @@
             'Contract created by system\'],,'
             'SAM,"[(u\'Base Fee\', u\'800.6\', u\'usd\')]",'
-            'created,My Contract,A111111\r\n',
-            result
-            )
-        return
-
+            'created,Our Sample Product,A111111\r\n',
+            result
+            )
+        return
+
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_interfaces.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_interfaces.py	(revision 12333)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_interfaces.py	(revision 12336)
@@ -68,5 +68,4 @@
 
         contract = createObject('waeup.SampleContract')
-        contract.title = u'My Samle Contract'
         contract.product = product
         contract.last_product_id = product.product_id
@@ -76,5 +75,5 @@
 
         document = createObject('waeup.CustomerSampleDocument')
-        document.title = u'My Samle Document'
+        document.title = u'My Sample Document'
         document.document_id = u'DOC1'
         self.customer['documents'].addDocument(document)
@@ -108,4 +107,4 @@
         source = CustomerDocumentSource()
         result = source.factory.getTitle(object(), self.document)
-        self.assertEqual(result, u'DOC1 - My Samle Document')
+        self.assertEqual(result, u'DOC1 - My Sample Document')
 