Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/sample_contract_data.csv
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/sample_contract_data.csv	(revision 12341)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/sample_contract_data.csv	(revision 12342)
@@ -1,4 +1,4 @@
 class_name,contract_id,reg_number,product_object,document_object,product_options
-SampleContract,c3,1,SAM,DOC1,"[('Base Fee', '800.6', 'usd')]"
+SampleContract,c3,1,SAM,DOC1,"[('Base Fee', '800.6', 'USD')]"
 SampleContract,c4,2,SAM,DOC1,[]
 SampleContract,c5,3,SAM,DOC1,[]
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py	(revision 12341)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py	(revision 12342)
@@ -104,5 +104,5 @@
         option.title = u'Base Fee'
         option.fee = Decimal('800.6')
-        option.currency = 'usd'
+        option.currency = 'USD'
         self.product.options = [option,]
         self.app['products'].addProduct(self.product)
@@ -501,5 +501,5 @@
         self.assertEqual(contract.product_options[0].title, 'Base Fee')
         self.assertEqual(contract.product_options[0].fee, Decimal('800.6') )
-        self.assertEqual(contract.product_options[0].currency, 'usd')
+        self.assertEqual(contract.product_options[0].currency, 'USD')
         self.assertEqual(contract.contract_id, 'c3')
         contract = self.processor.getEntry(dict(reg_number='3',
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 12341)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 12342)
@@ -109,5 +109,5 @@
         prodoption.title = u'First option'
         prodoption.fee = Decimal('99.9')
-        prodoption.currency = 'usd'
+        prodoption.currency = 'USD'
         self.product.options = [prodoption,]
         self.app['products'].addProduct(self.product)
@@ -1287,5 +1287,5 @@
         prodoption.title = u'Any product option'
         prodoption.fee = Decimal('88.8')
-        prodoption.currency = 'eur'
+        prodoption.currency = 'EUR'
         contract.product_options = [prodoption,]
         self.browser.open(self.contracts_path + '/%s/edit' % conid)
@@ -1293,8 +1293,8 @@
         # from the chosen product.
         self.assertTrue('<option selected="selected" value="Any product option">'
-                        'Any product option @ 88.8 eur</option>'
+                        'Any product option @ 88.8 EUR</option>'
                         in self.browser.contents)
         self.assertTrue('<option value="First option">First option '
-                        '@ 99.9 usd</option>' in self.browser.contents)
+                        '@ 99.9 USD</option>' in self.browser.contents)
         # In test browser we can at least replace the option
         self.browser.getControl(
@@ -1304,5 +1304,5 @@
         self.assertEqual(contract.product_options[0].title, 'First option')
         self.browser.getLink("View").click()
-        self.assertTrue('<span>First option @ 99.9 usd</span>' in self.browser.contents)
+        self.assertTrue('<span>First option @ 99.9 USD</span>' in self.browser.contents)
         self.assertEqual(self.browser.url, self.contracts_path + '/%s/index' % conid)
         # An href attribute is referring to the document and product objects
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py	(revision 12341)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_export.py	(revision 12342)
@@ -277,5 +277,5 @@
             'SampleContract,sample,CON1,DOC1,[u\'2014-12-04 12:10:46 UTC - '
             'Contract created by system\'],,'
-            'SAM,"[(u\'Base Fee\', u\'800.6\', u\'usd\')]",'
+            'SAM,"[(u\'Base Fee\', u\'800.6\', u\'USD\')]",'
             'created,Our Sample Product,A111111\r\n',
             result
@@ -297,5 +297,5 @@
             'SampleContract,sample,CON1,DOC1,[u\'2014-12-04 12:10:46 UTC - '
             'Contract created by system\'],,'
-            'SAM,"[(u\'Base Fee\', u\'800.6\', u\'usd\')]",'
+            'SAM,"[(u\'Base Fee\', u\'800.6\', u\'USD\')]",'
             'created,Our Sample Product,A111111\r\n',
             result
@@ -317,5 +317,5 @@
             'SampleContract,sample,CON1,DOC1,[u\'2014-12-04 12:10:46 UTC - '
             'Contract created by system\'],,'
-            'SAM,"[(u\'Base Fee\', u\'800.6\', u\'usd\')]",'
+            'SAM,"[(u\'Base Fee\', u\'800.6\', u\'USD\')]",'
             'created,Our Sample Product,A111111\r\n',
             result
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/interfaces.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/interfaces.py	(revision 12341)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/interfaces.py	(revision 12342)
@@ -87,7 +87,7 @@
 
 currencies = SimpleIkobaVocabulary(
-    (_('Naira'),'naira'),
-    (_('USD'),'usd'),
-    (_('EUR'),'eur'),
+    (_('NGN'),'NGN'),
+    (_('USD'),'USD'),
+    (_('EUR'),'EUR'),
     )
 
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_batching.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_batching.py	(revision 12341)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_batching.py	(revision 12342)
@@ -86,5 +86,5 @@
         options.title = u'Base Fee'
         options.fee = Decimal('800.6')
-        options.currency = 'usd'
+        options.currency = 'USD'
         product.options = [options,]
         self.app['products'][product.product_id] = self.product = product
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_browser.py	(revision 12341)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_browser.py	(revision 12342)
@@ -221,5 +221,5 @@
         prodoptions.title = u'My option'
         prodoptions.fee = Decimal('99.9')
-        prodoptions.currency = 'usd'
+        prodoptions.currency = 'USD'
         self.product.options = [prodoptions,]
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_export.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_export.py	(revision 12341)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_export.py	(revision 12342)
@@ -64,5 +64,5 @@
             'contract_category,contract_title,options,'
             'product_id,title,users_with_local_roles\r\n'
-            'license,,"[(u\'Base Fee\', u\'800.6\', u\'usd\')]",LIC,Unnamed,'
+            'license,,"[(u\'Base Fee\', u\'800.6\', u\'USD\')]",LIC,Unnamed,'
             '"[{\'user_name\': u\'john\', \'local_role\': '
             'u\'johnsrole\'}]"\r\n'
@@ -79,5 +79,5 @@
             'contract_category,contract_title,options,'
             'product_id,title,users_with_local_roles\r\n'
-            'license,,"[(u\'Base Fee\', u\'800.6\', u\'usd\')]",LIC,Unnamed,'
+            'license,,"[(u\'Base Fee\', u\'800.6\', u\'USD\')]",LIC,Unnamed,'
             '"[{\'user_name\': u\'john\', \'local_role\': '
             'u\'johnsrole\'}]"\r\n'
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_productoptions.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_productoptions.py	(revision 12341)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_productoptions.py	(revision 12342)
@@ -17,5 +17,5 @@
         self.valid_title = u'Option 1'
         self.valid_fee = Decimal(55.5)
-        self.valid_currency = 'usd'
+        self.valid_currency = 'USD'
         return
 
Index: main/waeup.ikoba/trunk/src/waeup/ikoba/utils/tests/test_converters.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/utils/tests/test_converters.py	(revision 12341)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/utils/tests/test_converters.py	(revision 12342)
@@ -389,5 +389,5 @@
         converter = IObjectConverter(IContact)
         # get currently valid values
-        req_string = u"[(u'T1', u'55.6', u'usd'), (u'T2', u'66.6', u'eur')]"
+        req_string = u"[(u'T1', u'55.6', u'USD'), (u'T2', u'66.6', u'EUR')]"
         err, inv_err, data = converter.fromStringDict(
             {"options": req_string,}, 'contact')
@@ -397,8 +397,8 @@
         self.assertEqual(result_options[0].title, 'T1')
         self.assertEqual(result_options[0].fee, Decimal('55.6'))
-        self.assertEqual(result_options[0].currency, 'usd')
+        self.assertEqual(result_options[0].currency, 'USD')
         self.assertEqual(result_options[1].title, 'T2')
         self.assertEqual(result_options[1].fee, Decimal('66.6'))
-        self.assertEqual(result_options[1].currency, 'eur')
+        self.assertEqual(result_options[1].currency, 'EUR')
         return
 