Index: main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py
===================================================================
--- main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 12352)
+++ main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 12353)
@@ -325,5 +325,5 @@
         # Managers can trigger transitions
         self.browser.getControl(name="transition").value = ['start']
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         # Managers can edit base
         self.browser.open(self.customer_path)
@@ -388,20 +388,20 @@
         self.browser.open(self.trigtrans_path)
         self.browser.getControl(name="transition").value = ['start']
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         self.browser.open(self.trigtrans_path)
         self.browser.getControl(name="transition").value = ['request']
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         self.browser.open(self.trigtrans_path)
         self.browser.getControl(name="transition").value = ['reject']
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         self.browser.open(self.trigtrans_path)
         self.browser.getControl(name="transition").value = ['request']
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         self.browser.open(self.trigtrans_path)
         self.browser.getControl(name="transition").value = ['approve']
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         self.browser.open(self.trigtrans_path)
         self.browser.getControl(name="transition").value = ['reset1']
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         return
 
@@ -837,5 +837,4 @@
         # Managers can access the pages of customer documentsconter
         # and can perform actions
-        IWorkflowState(self.customer).setState('approved')
         self.browser.addHeader('Authorization', 'Basic mgr:mgrpw')
         self.browser.open(self.customer_path)
@@ -865,9 +864,15 @@
         self.browser.getLink("Transition").click()
         self.browser.getControl(name="transition").value = ['submit']
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         self.browser.getLink("Transition").click()
+        # Document can only be verified if customer is approved
+        self.browser.getControl(name="transition").value = ['verify']
+        self.browser.getControl("Apply").click()
+        self.assertTrue('Customer has not yet been approved' in self.browser.contents)
+        IWorkflowState(self.customer).setState(APPROVED)
         # Document can only be verified if files have been uploaded before
+        self.browser.getLink("Transition").click()
         self.browser.getControl(name="transition").value = ['verify']
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         self.assertTrue('No file uploaded' in self.browser.contents)
         self.assertEqual(document.state, 'submitted')
@@ -1057,5 +1062,5 @@
         self.browser.open(self.documents_path + '/DOC1/trigtrans')
         self.browser.getControl(name="transition").value = ['verify']
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         self.assertEqual(
             getattr(self.document, 'sample_md5', None),
@@ -1191,8 +1196,8 @@
         self.browser.getLink("Transition").click()
         self.browser.getControl(name="transition").value = ['submit']
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         self.browser.getLink("Transition").click()
         self.browser.getControl(name="transition").value = ['approve']
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         self.assertEqual(contract.state, 'approved')
 
@@ -1318,5 +1323,5 @@
         # Customer can submit the form. The form is also saved.
         self.browser.getLink("Edit").click()
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         self.assertEqual(contract.state, 'submitted')
         self.assertTrue('Contract State: submitted for approval' in self.browser.contents)
@@ -1375,5 +1380,5 @@
         self.browser.open(self.contracts_path + '/CON1/trigtrans')
         self.browser.getControl(name="transition").value = ['approve']
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         # InvalidTransitionError is catched
         self.assertTrue(
@@ -1383,4 +1388,4 @@
         IWorkflowState(self.document).setState('verified')
         self.browser.getControl(name="transition").value = ['approve']
-        self.browser.getControl("Apply now").click()
+        self.browser.getControl("Apply").click()
         self.assertEqual(IWorkflowState(self.contract).getState(), 'approved')