Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py	(revision 12357)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_batching.py	(revision 12358)
@@ -101,4 +101,5 @@
         self.product.title = u'Our Sample Product'
         self.product.contract_category = u'sample'
+        self.product.valid_from = datetime.date(2015, 12, 4)
         option = ProductOption()
         option.title = u'Base Fee'
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 12357)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/customers/tests/test_browser.py	(revision 12358)
@@ -106,4 +106,5 @@
         self.product.title = u'Our Sample Product'
         self.product.contract_category = u'sample'
+        self.product.valid_from = date(2015, 12, 4)
         prodoption = ProductOption()
         prodoption.title = u'First option'
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/products/interfaces.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/products/interfaces.py	(revision 12357)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/products/interfaces.py	(revision 12358)
@@ -21,4 +21,5 @@
     IIkobaObject, validate_id,
     ContextualDictSourceFactoryBase)
+from waeup.ikoba.schema import FormattedDate
 from waeup.ikoba.interfaces import MessageFactory as _
 from waeup.ikoba.products.productoptions import ProductOptionField
@@ -77,2 +78,14 @@
         default = [],
         )
+
+    valid_from = FormattedDate(
+        title = _(u'Valid from'),
+        required = False,
+        show_year = True,
+        )
+
+    valid_to = FormattedDate(
+        title = _(u'Valid to'),
+        required = False,
+        show_year = True,
+        )
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_batching.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_batching.py	(revision 12357)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_batching.py	(revision 12358)
@@ -88,4 +88,5 @@
         options.currency = 'USD'
         product.options = [options,]
+        product.valid_from = datetime.date(2015, 12, 4)
         self.app['products'][product.product_id] = self.product = product
         self.outfile = os.path.join(self.workdir, 'myoutput.csv')
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_browser.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_browser.py	(revision 12357)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_browser.py	(revision 12358)
@@ -100,4 +100,5 @@
             NotIdValue, setattr, self.product, 'product_id', u'id with spaces')
         self.product.title = u'Our License'
+        self.product.valid_from = date(2015, 12, 4)
         self.app['products'].addProduct(self.product)
 
Index: /main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_export.py
===================================================================
--- /main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_export.py	(revision 12357)
+++ /main/waeup.ikoba/trunk/src/waeup/ikoba/products/tests/test_export.py	(revision 12358)
@@ -63,7 +63,7 @@
         self.assertTrue(
             'contract_category,contract_title,options,'
-            'product_id,title,users_with_local_roles\r\n'
-            'license,,"[(u\'Base Fee\', u\'800.6\', u\'USD\')]",LIC,Unnamed,'
-            '"[{\'user_name\': u\'john\', \'local_role\': '
+            'product_id,title,valid_from,valid_to,users_with_local_roles\r\n'
+            'license,,"[(u\'Base Fee\', u\'800.6\', u\'USD\')]",LIC,Unnamed'
+            ',2015-12-04#,,"[{\'user_name\': u\'john\', \'local_role\': '
             'u\'johnsrole\'}]"\r\n'
             in result
@@ -78,7 +78,7 @@
         self.assertTrue(
             'contract_category,contract_title,options,'
-            'product_id,title,users_with_local_roles\r\n'
-            'license,,"[(u\'Base Fee\', u\'800.6\', u\'USD\')]",LIC,Unnamed,'
-            '"[{\'user_name\': u\'john\', \'local_role\': '
+            'product_id,title,valid_from,valid_to,users_with_local_roles\r\n'
+            'license,,"[(u\'Base Fee\', u\'800.6\', u\'USD\')]",LIC,Unnamed'
+            ',2015-12-04#,,"[{\'user_name\': u\'john\', \'local_role\': '
             'u\'johnsrole\'}]"\r\n'
             in result