Index: main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/tests/test_browser.py
===================================================================
--- main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/tests/test_browser.py	(revision 12366)
+++ main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/customers/tests/test_browser.py	(revision 12367)
@@ -60,4 +60,5 @@
         customer['documents'].addDocument(document)
         contract = createObject(u'waeup.SkeletonContract')
+        contract.tc_dict = {'en':u'Hello World'}
         customer['contracts'].addContract(contract)
         self.customer = customer
@@ -161,8 +162,8 @@
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,product_object,product_options,'
-            'state,title,user_id\r\n'
+            'state,tc_dict,title,user_id\r\n'
             'SkeletonContract,sample,%s,,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
-            ',,,[],created,,K1000000\r\n'
+            ',,,[],created,{\'en\': u\'Hello World\'},,K1000000\r\n'
             % self.contract.contract_id)
         # We can reimport the file if we change the header (user_id -> customer_id)
@@ -171,8 +172,8 @@
             'class_name,contract_category,contract_id,document_object,'
             'history,last_product_id,product_object,product_options,'
-            'state,title,user_id\r\n'
+            'state,tc_dict,title,user_id\r\n'
             'SkeletonContract,sample,%s,,'
             '[u\'2014-12-21 22:26:00 WAT - Contract created by system\']'
-            ',,,[],created,,K1000000\r\n'
+            ',,,[],created,{\'en\': u\'Hello World\'},,K1000000\r\n'
             % self.contract.contract_id)
         result = processor.doImport(
@@ -180,5 +181,5 @@
             ['class_name','contract_category','contract_id','document_object',
             'history','last_product_id','product_object','product_options',
-            'state','title','customer_id'],
+            'state','tc_dict','title','customer_id'],
             mode='create')
         num, num_fail, finished_path, failed_path = result
@@ -191,5 +192,5 @@
             ['class_name','contract_category','contract_id','document_object',
             'history','last_product_id','product_object','product_options',
-            'state','title','customer_id'],
+            'state','tc_dict','title','customer_id'],
             mode='create')
         num_succ, num_fail, finished_path, failed_path = result
@@ -200,5 +201,5 @@
             ['class_name','contract_category','contract_id','document_object',
             'history','last_product_id','product_object','product_options',
-            'state','title','customer_id'],
+            'state','tc_dict','title','customer_id'],
             mode='update')
         num_succ, num_fail, finished_path, failed_path = result
Index: main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/products/tests/test_browser.py
===================================================================
--- main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/products/tests/test_browser.py	(revision 12366)
+++ main/ikobacustom.skeleton/trunk/src/ikobacustom/skeleton/products/tests/test_browser.py	(revision 12367)
@@ -54,6 +54,6 @@
         self.assertEqual(result,
             'contract_category,contract_title,options,'
-            'product_id,title,valid_from,valid_to,users_with_local_roles\r\n'
-            'license,,[],LIC,Unnamed,2015-12-04#,,[]\r\n')
+            'product_id,terms_and_conditions,title,valid_from,valid_to,users_with_local_roles\r\n'
+            'license,,[],LIC,,Unnamed,2015-12-04#,,[]\r\n')
         # We can import the same file.
         processor = SkeletonProductProcessor()
@@ -61,5 +61,5 @@
             self.outfile,
             ['contract_category','contract_title', 'options,', 'product_id',
-            'title','valid_from','valid_to','users_with_local_roles'],
+            'terms_and_conditions','title','valid_from','valid_to','users_with_local_roles'],
             mode='create')
         num, num_fail, finished_path, failed_path = result
@@ -72,5 +72,5 @@
             self.outfile,
             ['contract_category','contract_title', 'options,', 'product_id',
-            'title','valid_from','valid_to','users_with_local_roles'],
+            'terms_and_conditions','title','valid_from','valid_to','users_with_local_roles'],
             mode='create')
         num, num_fail, finished_path, failed_path = result
@@ -81,5 +81,5 @@
             self.outfile,
             ['contract_category','contract_title', 'options,', 'product_id',
-            'title','valid_from','valid_to','users_with_local_roles'],
+            'terms_and_conditions','title','valid_from','valid_to','users_with_local_roles'],
             mode='update')
         num, num_fail, finished_path, failed_path = result